---
# tasks file for omicsBroker
- name: Install Dependencies
  include_tasks: install.dependencies.yml

- name: Get Source Code
  git:
    repo: "{{ omi_git_url }}"
    dest: "{{ omi_install_path }}"
    version: "{{ omi_git_version }}"
    update: "{{ omi_git_update }}"
    force: "{{ omi_git_force }}"

##  TODO should replace docker-compose by ansible to manage image and volume
- name: Start Docker Compose
  community.docker.docker_compose:
    project_src: "{{ omi_install_path }}"
    pull: "{{ omi_docker_compose_pull }}"
    files: ["{{ omi_docker_compose_files }}"]

- name: Set Docker Exec Cmd
  set_fact:
    docker_exec: "docker-compose -f {{ omi_docker_compose_files }} exec -T web"

##  TODO find a clean way to make next post install command idempotent
- name: Execute Post Install Command  # noqa no-changed-when
  command: "{{ docker_exec }} {{ item }}"
  args:
    chdir: "{{ omi_install_path }}"
  loop: "{{ omi_docker_postinstall }}"
  tags:
    - molecule-idempotence-notest
